using System.ComponentModel.DataAnnotations;

namespace Domain.Entities.Forum.ValueObject;

/// <summary>
/// 게시글 또는 댓글 상태
/// </summary>
public enum DisplayStatus : byte
{
    [Display(Name = "정상")]
    Normal = 0,

    [Display(Name = "나만보기")]
    Hidden = 1,

    [Display(Name = "본인 삭제")]
    DeletedByOwner = 2,

    [Display(Name = "운영자 삭제")]
    RemovedByAdmin = 3,

    [Display(Name = "운영자 숨김")]
    HiddenByAdmin = 4,

    [Display(Name = "신고로 숨김")]
    HiddenByReport = 5,

    [Display(Name = "대기")]
    Pending = 6
}